Skip to content

List activity history

GET
/v1/account/activity
curl --request GET \
--url 'https://api.parasta.io/v1/account/activity?type=login&page=1&size=20' \
--header 'Authorization: Bearer <token>'
type
string
default: all
Allowed values: login auth_change security all
from
string format: date-time
to
string format: date-time
page
integer
default: 1 >= 1
size
integer
default: 20 >= 1 <= 100

OK

Media type application/json
object
page
integer
size
integer
totalCount
integer
items
Array<object>
object
id
string
type
string
description
string
method
string
deviceInfo
string
ipAddress
string
createdAt
string format: date-time
Example generated
{
"page": 1,
"size": 1,
"totalCount": 1,
"items": [
{
"id": "example",
"type": "example",
"description": "example",
"method": "example",
"deviceInfo": "example",
"ipAddress": "example",
"createdAt": "2026-04-15T12:00:00Z"
}
]
}

Please contact your representative. 담당자에게 문의해주세요.